Page MenuHomePhabricator

Close https://lists.wikimedia.org/mailman/listinfo/cep and keep the archive for now
Closed, ResolvedPublic

Description

We'd like to:

  • close the old team mailing list at https://lists.wikimedia.org/mailman/listinfo/cep
  • redirect any email that goes to that address (cep@lists.wikimedia.org), to go to: commrel-support@wikimedia.org instead.
  • keep the cep@ archive for now, so that we can see if we find a need for access to it in the next few months. We might request deletion in the future.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2017, 11:04 PM
RobH added a subscriber: RobH.Jan 20 2017, 6:07 PM

Moving list archives requires that we offline mailman for the duration of the maintainance of said lists move.

Basically, it involves creating a new mailing list, and then moving the archives/mbox contents. This move can also result in re-indexing of the archives, and old archive links would cease function. (We typically remove the old archives, or we're just duplicating extra data on the same system.)

@Quiddity: If you/other list members are ok with the reindexing and having to redo any archive links, then this could be slated for the next time we have to take down mailman for this kind of work. Since it does involve mailman downtime (and thus no list message deliveries during that time), I'm not sure its worth a maint-window for a single list rename. I could be wrong on this, I'm not the one using the list but a simple rename is typically non-urgent.

Also if the archive isn't required at all, and all the 'rename' is for is moving over the settings+members, than this can be done with zero downtime to mailman.

Please advise,

@RobH We'd be happy with just a simple new list, and transfer of settings. Thanks for the clarity!
I.e.

  • New list at tc [@] lists.wikimedia.org using the current settings+members+admin of cep [@] lists.wikimedia.org
  • (optional, bonus) Ideally, anything sent to the old list address would auto-forward to the new address?

Thanks again.

RobH added a comment.Jan 25 2017, 6:26 PM

I neglected to point out, the current archives for cep@ list is https://lists.wikimedia.org/mailman/private/cep/ and since it is private, requires the users to login to view. Once the list is closed, the ability to add folks to view is impacted.

So will loss of that mailing lists archives for easy web view be an issue? If they aren't needed, can we simply remove the archives?

Sorry for the back and forth, just trying to ensure I cover all the bases. (We don't do mailing list moves very often, so I neglected to ask about the archive access and if needed.)

(Sorry for delay in replying.)
No, we don't need to grant new team-mates access to the archives. (We just search our personal mail-client archives when needed. Plus, new team members don't have reason (or time!) to dig through the month-by-month web-archives).

Will removing the archives make it easier for your future maintenance? And/Or, will it make it possible to auto-forward the old address to the new address? If so (for either), then go ahead and remove the archives. If not, then perhaps leave them (just because deleting things is scary).
Thanks for helping us get it right!

Dzahn assigned this task to RobH.Mar 21 2017, 4:31 AM
RobH removed RobH as the assignee of this task.Mar 27 2017, 4:20 PM

So whoever does the next mailman downtime can do this work as well. I don't want to 'claim' this, because I may not be the person doing that work.

It sounds like nothing is really being moved now, other than the user list? If that is the case, this can be done manually without downtime, just by a manual subscription of the userlist.

Ditching the archives makes this far, far easier, since they won't be accessible over time. (There won't be a way to reset your password to access the archives of a disabled list.)

I'm pretty sure we can forward, but since its a private list, it may not be possible. I'll have to check.

Elitre added a subscriber: Elitre.Jun 20 2017, 3:15 PM

Do we still want this to happen?

What I meant was, exactly given what we now know.

Qgil triaged this task as Low priority.Jun 23 2017, 7:44 AM

I have added the question about whether we should keep archives or not to our next team meeting's agenda.

Quiddity renamed this task from Rename the TC team mailing list to Rename (create anew) the TC team mailing list.Jun 27 2017, 5:50 PM
Quiddity updated the task description. (Show Details)

I've updated the details in the task description, just to give clarity and confirmation on all the above discussion. Thanks.

(if you don't mind me asking, if the name needs the lists. bit in it, can we then get a redirect/shortcut/whatevs like tc@wikimedia.org?)

Qgil added a comment.Jul 11 2017, 9:46 PM

@RobH just checking, do you (or whoever can be assigned to this task) still need anything to proceed?

Aklapper changed the task status from Open to Stalled.Mar 17 2018, 10:49 AM

Let's put this on hold for the time being while some internal discussions in the team are ongoing.

Dzahn added a subscriber: Dzahn.May 12 2018, 1:38 AM

Let us know if you are still interested in list renaming.

A renaming script can be used (https://wikitech.wikimedia.org/wiki/Mailman#Rename_a_mailing_list) which automatically does most of the needed steps. If we can stick to the default way of doing this and just run that like on T172624#4201958 then it's much easier now to do this than it used to be when we had to manually do all this and take things down as Rob described.

Restricted Application added a project: Operations. · View Herald TranscriptMay 12 2018, 1:38 AM

Let us know if you are still interested in list renaming.
A renaming script can be used (https://wikitech.wikimedia.org/wiki/Mailman#Rename_a_mailing_list) which automatically does most of the needed steps. If we can stick to the default way of doing this and just run that like on T172624#4201958 then it's much easier now to do this than it used to be when we had to manually do all this and take things down as Rob described.

Thanks, we'll be in touch when changes are official.

Qgil moved this task from Inbox to Started on the CommRel-Internals board.Jul 10 2018, 7:15 AM
Qgil claimed this task.Jul 10 2018, 2:02 PM

At the end we have decided to stop using this list.

Qgil changed the task status from Stalled to Open.Jul 12 2018, 1:47 PM

OK, in more detail. We want to close https://lists.wikimedia.org/mailman/listinfo/cep and keep the archive for now (maybe in the future we decide to delete it, but we would create a new task if this is the case).

Can we repurpose this task to close the mailing list or do you prefer us to close this task as Invalid and create a new one?

(And feel free to claim this task if you are working on it. I am just keeping it not to forget about it.)

herron added a subscriber: herron.Jul 16 2018, 6:54 PM

Sure, we can repurpose this task. But let's update the title and description to reflect the desired outcome.

Elitre renamed this task from Rename (create anew) the TC team mailing list to Close https://lists.wikimedia.org/mailman/listinfo/cep and keep the archive for now .Jul 17 2018, 9:16 AM

Per the above.

Quiddity updated the task description. (Show Details)Jul 18 2018, 12:26 PM

I've attempted a description update. Quim or Erica will have to confirm or fix the plan though.

Elitre updated the task description. (Show Details)Jul 19 2018, 10:00 AM
Qgil removed Qgil as the assignee of this task.Aug 3 2018, 2:56 PM

The title and description of this task are correct, and they seem to [provide everything Operations needs to proceed.

Dzahn claimed this task.Aug 21 2018, 5:21 PM
Dzahn added a comment.EditedAug 23 2018, 9:56 PM

Is this a request to rename cep@lists to commrel-support@lists?

Renaming means the subscribed users, the config and archives are copied over from one to the other. It also means the requested redirect of email (and http for the listinfo page) gets added. It also means later editing the archives is possible but URLs that link into archives will likely change.

Or is this a request to remove/disable cep@lists and create commrel-support@ without copying anything over? In that case the old archives can be kept and are separate from any new archives but you will have to manually edit config and copy subscribers over etc. The requested mail forwarding could be added manually, the listinfo page would not redirect and exist for both separately.

We can only offer "rename" or "disable + create new list" but not a custom mix of it.

Hi @Dzahn, We already have and are using a new replacement team-list at commrel-support@wikimedia.org (not mailman).
We primarily just want an email-address redirect, so that anything that is sent to the old cep@lists.wikimedia.org instead comes to our new list. That's it!

If the archives here can be left as they are, that'd be great.
We don't need any other settings/subscribers changed.

Dzahn added a comment.Aug 24 2018, 6:21 PM

Gotcha @Quiddity It woud be an easy request if you were asking for an alias from one mailman list to another. Since it is about redirecting from something @lists.wm.org to something not @lists.wm.org we can't use the normal "listserver_aliases" file for that and have to find a different way.

Dzahn added a comment.Aug 24 2018, 7:17 PM

I ran this on the mailman server, nevertheless. that should just mean you don't get as much spam now.

 /usr/local/sbin/disable_list cep
cep disabled. Archives should be available at current location, all mail should be moderated and the list should not be on the listinfo page.
Dzahn added a comment.Aug 24 2018, 7:23 PM

@herron Do you see an easy way to alias something @lists.wikimedia.org to something @wikimedia.org? I looked at the exim4 config on both fermium and mx1001 and the alias file structure, and since we don't have it configured to use domain names in the aliases file but only localparts i don't think it works. Unless we convert the entire alias file to always require domain names. I tried manually a test alias and didn't receive the mail. If i'm right and it's not easy then we can reject this ticket (already talked to Quiddity), but if i'm missing something and we can relatively easy do it anyways then it would be nice to have.

Dzahn closed this task as Resolved.Aug 27 2018, 11:10 PM

We talked about it briefly on IRC. It's possible but we'd rather not starting adding this type. Since you already said you can live without that part and the list is closed.. i'm calling it resolved nevertheless.

Qgil awarded a token.Aug 28 2018, 9:10 AM
Qgil moved this task from Started to Evaluated on the CommRel-Internals board.

Thank you!

(Just a Community Relations internal thing: this task doesn't require evaluation.)